Package org.apache.avro.io

# Class ParsingDecoder

java.lang.Object
org.apache.avro.io.Decoder
org.apache.avro.io.ParsingDecoder

All Implemented Interfaces:
  `Parser.ActionHandler`, `SkipParser.SkipHandler`

Direct Known Subclasses:
  `JsonDecoder`, `ValidatingDecoder`

public abstract class ParsingDecoder extends Decoder implements Parser.ActionHandler, SkipParser.SkipHandler
Base class for parser-based `Decoder`s.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final SkipParser`
`parser`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ParsingDecoder(Symbol root)`

## Method Summary

Modifier and Type
Method
Description
`void`
`skipAction()`
Skips the action at the top of the stack.
`protected abstract void`
`skipFixed()`
`void`
`skipTopSymbol()`
Skips the symbol at the top of the stack.

### Methods inherited from class org.apache.avro.io.Decoder

`arrayNext, mapNext, readArrayStart, readBoolean, readBytes, readDouble, readEnum, readFixed, readFixed, readFloat, readIndex, readInt, readLong, readMapStart, readNull, readString, readString, remainingBytes, skipArray, skipBytes, skipFixed, skipMap, skipString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.avro.io.parsing.Parser.ActionHandler

`doAction`

## Field Details

### parser

protected final SkipParser parser

## Constructor Details

### ParsingDecoder

protected ParsingDecoder(Symbol root) throws IOException

Throws:
  `IOException`

## Method Details

### skipFixed

protected abstract void skipFixed() throws IOException

Throws:
  `IOException`

### skipAction

public void skipAction() throws IOException
Description copied from interface: `SkipParser.SkipHandler`
Skips the action at the top of the stack.

Specified by:
  `skipAction` in interface `SkipParser.SkipHandler`
Throws:
  `IOException`

### skipTopSymbol

public void skipTopSymbol() throws IOException
Description copied from interface: `SkipParser.SkipHandler`
Skips the symbol at the top of the stack.

Specified by:
  `skipTopSymbol` in interface `SkipParser.SkipHandler`
Throws:
  `IOException`